Bug 198754 - Kernel update gives grubby error
Kernel update gives grubby error
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
5
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-13 05:45 EDT by John Horne
Modified: 2008-04-04 09:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: mkinitrd-6.0.19-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 09:35:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Horne 2006-07-13 05:45:47 EDT
Description of problem:
Installed FC5 on to a new HP DL385 server (2 dual-core Opteron CPUs).
No problem with that.
Ran 'yum update' to update packages, all installed okay but kernel package gives
error:

  Installing: kernel-smp                   ####################### [ 9/17]
  grubby fatal error: unable to find a suitable template

Version-Release number of selected component (if applicable):
mkinitrd-5.0.32-1

How reproducible:
Always

Steps to Reproduce:
1. Run 'yum update kernel-smp'
2. 
3.
  
Actual results:
Error produced:

===================================================================
(1/1): kernel-smp-2.6.17- 100% |=========================|  15 MB    00:04    
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: kernel-smp                   ######################### [1/1]
grubby fatal error: unable to find a suitable template

Installed: kernel-smp.i686 0:2.6.17-1.2145_FC5
Complete!
===================================================================

Expected results:
Kernel should install and update grub.conf with no error.

Additional info:

The only thing we have done different during instalation with this machine is
not create a separate /boot partition. The server has over a terabyte of disk
space so we just created root (/) as a 50GB partition, and swap (16GB).

After installation grub.conf is modified slightly to remove the 'rhgb quiet' and
told to run at runlevel 3. It contains:

=================================================================
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You do not have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /, eg.
#          root (hd0,0)
#          kernel /boot/vmlinuz-version ro root=/dev/cciss/c0d0p1
#          initrd /boot/initrd-version.img
#boot=/dev/cciss/c0d0
default=0
timeout=5
splashimage=(hd0,0)/boot/grub/splash.xpm.gz
hiddenmenu
title Fedora Core (2.6.15-1.2054_FC5smp)
        root (hd0,0)
        kernel /boot/vmlinuz-2.6.15-1.2054_FC5smp ro root=LABEL=/ 3
        initrd /boot/initrd-2.6.15-1.2054_FC5smp.img
=================================================================

The yum.log file and 'rpm -qa' command shows that the kernel has been installed.
Looking at /boot/grub/grub.conf shows that no new entry has been created for the
new kernel.

'uname -a' gives:

  Linux ils409.uopnet.plymouth.ac.uk 2.6.15-1.2054_FC5smp #1 SMP Tue Mar 14 
  16:05:46 EST 2006 i686 athlon i386 GNU/Linux
Comment 1 Bug Zapper 2008-04-03 23:17:56 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 John Horne 2008-04-04 09:35:57 EDT
We have installed RHEL 4 (update 6, using mkinitrd-4.2.1.13-1) onto similar
servers, and Fedora 8 (mkinitrd-6.0.19-4.fc8) onto 64-bit PC's. None of these
have shown any error with yum and SMP kernels. As such I think we can close this
call as fixed.



Many thanks,

John.

Note You need to log in before you can comment on or make changes to this bug.